commit:     7c5a80a9ea4b2551c180f05420a3d82a78c8d082
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 17 05:47:36 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 17 05:48:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c5a80a9

games-board/maitretarot: regenerate against fixed macros

We don't need to patch our local copy of the macros for
dev-games/libmt_client, dev-games/libmaitretarot if
we just install fixed system versions.

Closes: https://bugs.gentoo.org/739142
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../files/maitretarot-0.1.98-format.patch          |  4 +--
 .../maitretarot/maitretarot-0.1.98-r1.ebuild       | 26 --------------
 .../maitretarot/maitretarot-0.1.98-r2.ebuild       | 42 ++++++++++++++++++++++
 3 files changed, 44 insertions(+), 28 deletions(-)

diff --git a/games-board/maitretarot/files/maitretarot-0.1.98-format.patch 
b/games-board/maitretarot/files/maitretarot-0.1.98-format.patch
index d7b5ca55b09..f01f4917553 100644
--- a/games-board/maitretarot/files/maitretarot-0.1.98-format.patch
+++ b/games-board/maitretarot/files/maitretarot-0.1.98-format.patch
@@ -1,5 +1,5 @@
---- a/src/game.c       2015-12-16 21:59:49.400430743 +0100
-+++ b/src/game.c       2015-12-16 21:59:11.085058332 +0100
+--- a/src/game.c
++++ b/src/game.c
 @@ -642,7 +642,7 @@
                  (game, prev_winner, c, ((i + prev_winner) % 4),
                   game->players[((i + prev_winner) % 4)]->turn, &err))

diff --git a/games-board/maitretarot/maitretarot-0.1.98-r1.ebuild 
b/games-board/maitretarot/maitretarot-0.1.98-r1.ebuild
deleted file mode 100644
index ab3167b6fe2..00000000000
--- a/games-board/maitretarot/maitretarot-0.1.98-r1.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-DESCRIPTION="server for the french tarot game maitretarot"
-HOMEPAGE="http://www.nongnu.org/maitretarot/";
-SRC_URI="https://savannah.nongnu.org/download/maitretarot/${PN}.pkg/${PV}/${P}.tar.bz2";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND="dev-libs/glib:2
-       dev-libs/libxml2
-       dev-games/libmaitretarot"
-RDEPEND=${DEPEND}
-
-PATCHES=(
-       "${FILESDIR}"/${P}-format.patch
-)
-
-src_configure() {
-       econf --with-default-config-file="/etc/maitretarotrc.xml"
-}

diff --git a/games-board/maitretarot/maitretarot-0.1.98-r2.ebuild 
b/games-board/maitretarot/maitretarot-0.1.98-r2.ebuild
new file mode 100644
index 00000000000..a53f75ae021
--- /dev/null
+++ b/games-board/maitretarot/maitretarot-0.1.98-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Server for the french tarot game maitretarot"
+HOMEPAGE="http://www.nongnu.org/maitretarot/";
+SRC_URI="https://savannah.nongnu.org/download/maitretarot/${PN}.pkg/${PV}/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="virtual/pkgconfig"
+DEPEND="dev-libs/glib:2
+       dev-libs/libxml2
+       dev-games/libmaitretarot"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-format.patch
+)
+
+src_prepare() {
+       default
+
+       mv configure.{in,ac} || die
+
+       # Remove bundled macros (avoid patching same file multiple times)
+       rm -rf m4/{libmaitretarot,libmt_client}.m4 || die
+
+       # Ensure we generate auto* with the fixed macros in tree
+       # (not bundled)
+       # bug #739142
+       eautoreconf
+}
+
+src_configure() {
+       econf --with-default-config-file="/etc/maitretarotrc.xml"
+}

Reply via email to